List all links
curl --request GET \
--url https://prod.truv.com/v1/links/ \
--header 'X-Access-Client-Id: <api-key>' \
--header 'X-Access-Secret: <api-key>'import requests
url = "https://prod.truv.com/v1/links/"
headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Access-Client-Id': '<api-key>', 'X-Access-Secret': '<api-key>'}
};
fetch('https://prod.truv.com/v1/links/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 100,
"next": "https://prod.truv.com/v1/links?page=1",
"previous": "https://prod.truv.com/v1/links?page=1",
"results": [
{
"id": "48427a36d43c4d5aa6324bc06c692456",
"access_token": "****************************7610",
"created_at": "2022-06-07T15:00:00Z",
"updated_at": "2022-06-30T15:00:00Z",
"deleted_at": "2022-06-30T15:00:00Z",
"tracking_info": "user123456",
"status": "new",
"user_external_id": "user123456",
"provider_id": "adp",
"provider": {
"id": "adp",
"name": "ADP",
"logo_url": "<string>"
},
"company_mapping": {
"id": "meta",
"name": "Meta",
"logo_url": "<string>"
},
"link_hash": "bc917458a3da4b2c8cc8282aa1707aaa",
"allowed_products": [
"income"
],
"initial_product_type": "income",
"data_source": "payroll",
"is_suspicious": true,
"is_dds_available": true
}
]
}{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}Account Links
List all links
GET
/
v1
/
links
/
List all links
Authorizations
Client ID
Client Access Key
Query Parameters
A page number within the paginated result set.
Number of results to return per page.
Response
List all links
Number of Links to return
Example:
100
Url to the next page
Example:
"https://prod.truv.com/v1/links?page=1"
Url to the previous page
Example:
"https://prod.truv.com/v1/links?page=1"
List all links
Show child attributes
Show child attributes
Was this page helpful?
⌘I